﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace IncrementalReplacer
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void replaceButton_Click(object sender, EventArgs e)
        {
            if (numericIncr1.Value <= 0 && numericStart1.Value < numericStop1.Value)
            {
                MessageBox.Show("Increment is negative or zero, but the start value is bigger than the stop value.");
            }
            else
            {
                outputTextBox.Clear();
                if (numericIncr1.Value < 0)
                {
                    for (int i = (int)numericStart1.Value; i >= numericStop1.Value; i += (int)numericIncr1.Value)
                    {
                        string line = inputTextBox.Text.Replace("[$1$]", i.ToString());
                        outputTextBox.Text += line + "\r\n";
                    }
                }
                if (numericIncr1.Value > 0)
                {
                    for (int i = (int)numericStart1.Value; i <= numericStop1.Value; i += (int)numericIncr1.Value)
                    {
                        string line = inputTextBox.Text.Replace("[$1$]", i.ToString());
                        outputTextBox.Text += line + "\r\n";
                    }
                }
                if (numericIncr1.Value == 0)
                {
                    string line = inputTextBox.Text.Replace("[$1$]", numericStart1.Value.ToString());
                    outputTextBox.Text += line + "\r\n";
                }
            }
        }
    }
}
